[libcxx] Additional 'REQUIRE' directives for tests that require en_US.UTF-8.
ClosedPublic

Authored by dsanders on Jan 21 2016, 8:06 AM.

Details

Summary

These are the tests that didn't fail in the release candidate because they were
covered by another 'REQUIRES' directive.

Diff Detail

dsanders retitled this revision from to [libcxx] Additional 'REQUIRE' directives for tests that require en_US.UTF-8..Jan 21 2016, 8:06 AM
dsanders updated this object.
dsanders added reviewers: bcraig, mclow.lists, hans.
dsanders added a subscriber: cfe-commits.

There's only 7 instead of the 8 we were expecting because one match turned out to be the python script that checks for the availability of the locale.

hans added a subscriber: dim.Jan 21 2016, 8:55 AM

+dim who said the locale tests were also failing for him on FreeBSD. Maybe this is relevant?

LGTM. May want to wait on mclow though considering the trouble I helped cause with the last one of these.

Thanks.

May want to wait on mclow though considering the trouble I helped cause with the last one of these.

Sure. That wasn't your fault though, it was mine. I should have asked for clarification first.

hans added a comment.Jan 26 2016, 11:17 AM

Ping? This and r258403 are on my watch-list for 3.8.

EricWF accepted this revision.Jan 26 2016, 12:23 PM
EricWF added a reviewer: EricWF.
EricWF added a subscriber: EricWF.

LGTM.
@dsanders: What platform are you on that doesn't have en_US.UTF-8? If your serious about testing libc++ you should install the locale. (but I understand that's not always possible).
@hans I'm OK with this and r258403 can be merged into 3.8.

This revision is now accepted and ready to land.Jan 26 2016, 12:23 PM

Thanks

@dsanders: What platform are you on that doesn't have en_US.UTF-8? If your serious about testing libc++ you should install the locale. (but I understand that's not always possible).

It's Debian Jessie but it was configured for the Europe/London region during installation so I had en_GB.UTF-8 instead.

I've installed en_US.UTF-8 (and the other missing locales like ru_RU.UTF-8) on all bar one of the machines I build releases on. The last machine lacks en_US.UTF-8 (but has the others) so I can test this patch before I commit it. After the commit I'll enable it.

dsanders closed this revision.Jan 27 2016, 2:49 AM